Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000920 [1003.1(2013)/Issue7+TC1] System Interfaces Editorial Omission 2015-02-05 17:47 2015-03-23 12:09
Reporter rhansen View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Interpretation Required  
Name Richard Hansen
Organization BBN
User Reference
Section strptime
Page Number 2042
Line Number 65195
Interp Status Approved
Final Accepted Text Note: 0002544
Summary 0000920: missing %F description in strptime
Description The description of the %F conversion specifier appears to be missing from strptime(). I believe this is an omission because:
  • Page 2041 line 65181 mentions %F
  • strftime() specifies %F
Desired Action On page 2042 after line 65194 (strptime() DESCRIPTION) insert:
<tt>F</tt> The date as <tt>%Y-%m-%d</tt> if no field width and no modifier is specified.


TODO: Specify behavior if a modifier and/or field width is specified.
Tags tc2-2008
Attached Files

- Relationships
related to 0000879Resolved strptime is missing conversion specifiers described in strftime 

-  Notes
(0002537)
geoffclare (manager)
2015-02-06 09:42

I don't believe this is an omission. %F was not in SUSv3 and there was no change request to add it in SUSv4. I believe what happened is that when field widths were added to strftime and strptime, the changes included statements that the behaviour of field widths is unspecified for conversions other than C, F, G, or Y in strftime, and other than C, F, or Y in strptime, but the inclusion of F in this statement for strptime was a mistake, since strptime has no F conversion.

We should add %F to strptime in Issue 8 (via 0000879), but it would not be in scope to add it in TC2. We should instead just change "C, F, or Y" to "C or Y" on line 65181 for TC2.
(0002544)
geoffclare (manager)
2015-02-12 16:22

Interpretation response
------------------------

The standard states the requirements for field widths in strptime(), and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------

The standard states that the behavior of field widths is unspecified for conversions other than C, F, or Y, but does not specify an F conversion.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------

On Page: 2041 Line: 65181 Section: strptime()

In the DESCRIPTION section, change from:

... conversion specifier other than C, F, or Y.

to:

... conversion specifier other than C or Y.
(0002552)
ajosey (manager)
2015-02-20 12:13

Interpretation proposed 20 Feb 2015
(0002601)
ajosey (manager)
2015-03-23 12:09

Interpretation approved 23rd March 2015

- Issue History
Date Modified Username Field Change
2015-02-05 17:47 rhansen New Issue
2015-02-05 17:47 rhansen Name => Richard Hansen
2015-02-05 17:47 rhansen Organization => BBN
2015-02-05 17:47 rhansen Section => strptime
2015-02-05 17:47 rhansen Page Number => 2042
2015-02-05 17:47 rhansen Line Number => 65195
2015-02-05 17:47 rhansen Interp Status => ---
2015-02-06 09:42 geoffclare Note Added: 0002537
2015-02-06 09:42 geoffclare Relationship added related to 0000879
2015-02-12 16:22 geoffclare Note Added: 0002544
2015-02-12 16:24 geoffclare Interp Status --- => Pending
2015-02-12 16:24 geoffclare Final Accepted Text => Note: 0002544
2015-02-12 16:24 geoffclare Status New => Interpretation Required
2015-02-12 16:24 geoffclare Resolution Open => Accepted As Marked
2015-02-12 16:24 geoffclare Tag Attached: tc2-2008
2015-02-20 12:13 ajosey Interp Status Pending => Proposed
2015-02-20 12:13 ajosey Note Added: 0002552
2015-03-23 12:09 ajosey Interp Status Proposed => Approved
2015-03-23 12:09 ajosey Note Added: 0002601


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker